{{ if .Values.alarmhandler.enabled }}

{{- $default_tango_host := printf "%s-%s" "databaseds-tango-base-" .Release.Name }}
{{- $tango_host := tpl (coalesce .Values.global.tango_host .Values.tango_host $default_tango_host | toString) . }}
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: alarm-handler-configurator-{{ .Values.alarmhandler.name }}-{{ .Release.Name }}
  namespace: {{ .Release.Namespace }}
  labels:
    app: alarm-handler-configurator
spec:
  replicas: 1
  selector:
    matchLabels:
      app: alarm-handler-configurator
  template:
    metadata:
      labels:
        app: alarm-handler-configurator
    spec:
      containers:
      - name: alarm-handler-configurator
        image: "{{ .Values.alarmhandler.image.registry }}/{{ .Values.alarmhandler.image.image }}:{{ .Values.alarmhandler.image.tag }}"
        imagePullPolicy: {{ .Values.alarmhandler.image.pullPolicy }}
        command:
          - "bash"
        args:
          - "-c"
          - "cd src && uvicorn alarm_configurator:app --host 0.0.0.0 --port {{ .Values.alarmhandler.service.port }}"
        ports:
            - containerPort: {{ .Values.alarmhandler.service.port }}
        env:
        - name: TANGO_HOST
          value: {{$tango_host}}
        - name: KUBE_NAMESPACE
          value: {{.Release.Namespace}}
{{- end }}
